import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading SewooLKPSensorTypeToGeneric Converter")

class SewooLKPSensorTypeToGeneric(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "3":
			res = "None"
		elif myList[0] == "0":
			res = "Gap"
		elif myList[0] == "1":
			res = "Mark"
		return res




plugin = SewooLKPSensorTypeToGeneric("SewooLKPSensorTypeToGeneric")

store.AddConverter(plugin)